## org.apache.batik.dom.svg
Class SVGOMAnimatedLength

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedLength
          org.apache.batik.dom.svg.SVGOMAnimatedLength

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedLength

public class SVGOMAnimatedLength
extends AbstractSVGAnimatedLength

This class provides an implementation of the `SVGAnimatedLength` interface.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`AbstractSVGAnimatedLength.BaseSVGLength`

Field Summary
`protected java.lang.String` `defaultValue` The default value if the attribute is not specified.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`baseVal, changing, direction, element, HORIZONTAL_LENGTH, localName, namespaceURI, OTHER_LENGTH, VERTICAL_LENGTH`

Constructor Summary
`SVGOMAnimatedLength(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String def, short dir)` Creates a new SVGAnimatedLength.

Method Summary
`protected java.lang.String` `getDefaultValue()` Returns the default value to use when the associated attribute was not specified.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`attrAdded, attrModified, attrRemoved, getAnimVal, getBaseVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultValue

    protected java.lang.String defaultValue

  The default value if the attribute is not specified.

Constructor Detail

### SVGOMAnimatedLength

    public SVGOMAnimatedLength(AbstractElement elt,
                               java.lang.String ns,
                               java.lang.String ln,
                               java.lang.String def,
                               short dir)

  Creates a new SVGAnimatedLength.

Parameters:
  `elt` - The associated element.
  `ns` - The attribute's namespace URI.
  `ln` - The attribute's local name.
  `def` - The default value if the attribute is not specified.
  `dir` - The length's direction.

Method Detail

### getDefaultValue

    protected java.lang.String getDefaultValue()

  Returns the default value to use when the associated attribute was not specified.

  Specified by:
    `getDefaultValue` in class `AbstractSVGAnimatedLength`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.